<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddCodeParameterToDreamInfo extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('dream_info', function (Blueprint $table) {
            $table->string('code')->comment('梦想二维码地址')->default('')->after('sign');
            $table->integer('parameter')->comment('梦想分数参数')->default(0)->after('sign');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('dream_info', function (Blueprint $table) {
            //
        });
    }
}
